## Delete R2 catalog metadata `client.R2DataCatalog.Delete(ctx, bucketName, params) error` **post** `/accounts/{account_id}/r2-catalog/{bucket_name}/delete` Removes the catalog from the control plane without deleting R2 bucket objects. Set force=true to remove catalog namespaces, tables, views, and maintenance metadata. Force deletion is limited to a configured catalog object count. ### Parameters - `bucketName string` Specifies the R2 bucket name. - `params R2DataCatalogDeleteParams` - `AccountID param.Field[string]` Path param: Use this to identify the account. - `Force param.Field[bool]` Query param: Remove child metadata before deleting the catalog. ### Example ```go package main import ( "context" "github.com/cloudflare/cloudflare-go" "github.com/cloudflare/cloudflare-go/option" "github.com/cloudflare/cloudflare-go/r2_data_catalog" ) func main() { client := cloudflare.NewClient( option.WithAPIToken("Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY"), ) err := client.R2DataCatalog.Delete( context.TODO(), "my-data-bucket", r2_data_catalog.R2DataCatalogDeleteParams{ AccountID: cloudflare.F("0123456789abcdef0123456789abcdef"), }, ) if err != nil { panic(err.Error()) } } ```